## slidge 0.1.0~rc2%2Bgit20240217.72ce4cc0

=== debian/changelog ===
slidge (0.1.0~rc2+git20240217.72ce4cc0-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sat, 17 Feb 2024 18:43:59 +0000

slidge (0.1.0~rc2+git20240121.64130f67-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 21 Jan 2024 16:13:11 +0000

slidge (0.1.0~rc2+git20240119.da4dd13c-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sat, 20 Jan 2024 10:03:16 +0000

slidge (0.1.0~rc2+git20231229.07715089-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Fri, 29 Dec 2023 12:08:19 +0000

slidge (0.1.0~rc2+git20231221.32f992cf-1) experimental; urgency=medium

  * New upstream snapshot
  * Add config file and systemd service, and create user _slidge

 -- Martin <debacle@debian.org>  Sat, 23 Dec 2023 15:42:26 +0000

slidge (0.1.0~rc2+git20231130.14b0b91b-1) experimental; urgency=medium

  * Initial release (Closes: #1019277)

 -- Martin <debacle@debian.org>  Sun, 03 Dec 2023 22:46:51 +0000

## slidge 0.1.0~rc2+git20240217.72ce4cc0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= poetry run sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/control ===
Source: slidge
Section: python
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
    dh-python,
    furo,
    pybuild-plugin-pyproject,
    python-slixmpp-doc,
    python3-aiohttp,
    python3-all,
    python3-blurhash,
    python3-configargparse,
    python3-doc,
    python3-magic,
    python3-pil,
    python3-poetry,
    python3-qrcode,
    python3-slixmpp (>= 1.8.5-1~),
    python3-sphinx,
    python3-sphinx-argparse,
    python3-sphinx-autoapi,
    xmldiff,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://slidge.im/
Vcs-Git: https://salsa.debian.org/xmpp-team/slidge.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/slidge

Package: python3-slidge
Architecture: all
Depends: ${misc:Depends},
    ${python3:Depends}
Description: XMPP puppeteer gateway library in Python
 Slidge makes writing gateways to other chat networks (legacy modules)
 as frictionless as possible. It supports fancy IM features, such as
 (emoji) reactions, replies, and retractions.

Package: python-slidge-doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
	${misc:Depends}
Description: XMPP puppeteer gateway library in Python (documentation)
 Slidge makes writing gateways to other chat networks (legacy modules)
 as frictionless as possible. It supports fancy IM features, such as
 (emoji) reactions, replies, and retractions.
 .
 This is the documentation package.

## slidge 0.1.3

=== debian/changelog ===
slidge (0.1.3-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Thu, 13 Jun 2024 23:25:49 +0000

slidge (0.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 09 Apr 2024 06:27:33 +0000

## slidge 0.2.0~alpha10+git20240805.9cbf0aca

=== debian/changelog ===
slidge (0.2.0~alpha10+git20240805.9cbf0aca-1) unstable; urgency=medium

  * New upstream pre-release
  * Add Testsuite: autopkgtest-pkg-pybuild

 -- Martin <debacle@debian.org>  Mon, 05 Aug 2024 19:36:24 +0000

## slidge 0.2.0~beta0

=== debian/changelog ===
slidge (0.2.0~beta0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Fri, 30 Aug 2024 07:03:54 +0000

slidge (0.2.0~alpha10+git20240827.fea2d185-1) unstable; urgency=medium

  * New upstream snapshot
  * Fix autopkgtest failure on riscv64

 -- Martin <debacle@debian.org>  Tue, 27 Aug 2024 18:23:20 +0000

slidge (0.2.0~alpha10+git20240819.df7d9d12-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sat, 24 Aug 2024 23:56:56 +0000

=== debian/control ===
--- 
+++ 
@@ -10,23 +10,29 @@
     python-slixmpp-doc,
     python3-aiohttp,
     python3-all,
+    python3-alembic,
     python3-blurhash,
     python3-configargparse,
     python3-doc,
     python3-magic,
     python3-pil,
     python3-poetry,
+    python3-pytest,
+    python3-pytest-asyncio,
     python3-qrcode,
     python3-slixmpp (>= 1.8.5-1~),
     python3-sphinx,
     python3-sphinx-argparse,
     python3-sphinx-autoapi,
+    python3-sqlalchemy,
+    python3-thumbhash,
     xmldiff,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://slidge.im/
 Vcs-Git: https://salsa.debian.org/xmpp-team/slidge.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/slidge
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-slidge
 Architecture: all

## slidge 0.2.0

=== debian/changelog ===
slidge (0.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Wed, 09 Oct 2024 21:01:24 +0000

## slidge 0.2.2

=== debian/changelog ===
slidge (0.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sat, 09 Nov 2024 23:44:49 +0000

## slidge 0.2.2+git20250117.6fbe590990

=== debian/changelog ===
slidge (0.2.2+git20250117.6fbe590990-2) unstable; urgency=medium

  * Lower sqlalchemy dependency to what Debian has

 -- Martin <debacle@debian.org>  Sun, 19 Jan 2025 20:07:45 +0000

slidge (0.2.2+git20250117.6fbe590990-1) unstable; urgency=medium

  * Upstream snapshot to fix slixmpp compatibility (Closes: #1091950)

 -- Martin <debacle@debian.org>  Sun, 19 Jan 2025 12:24:45 +0000

## slidge 0.2.3.post1

=== debian/changelog ===
slidge (0.2.3.post1-1) unstable; urgency=medium

  * New upstream version
  * Update patches, remove obsolete patch

 -- Martin <debacle@debian.org>  Tue, 21 Jan 2025 20:02:23 +0000

## slidge 0.2.4

=== debian/changelog ===
slidge (0.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 27 Jan 2025 15:25:29 +0000

## slidge 0.2.6

=== debian/changelog ===
slidge (0.2.6-1) unstable; urgency=medium

  * New upstream version
  * Remove obsolete patches

 -- Martin <debacle@debian.org>  Tue, 25 Feb 2025 20:22:50 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
     python3-pytest,
     python3-pytest-asyncio,
     python3-qrcode,
-    python3-slixmpp (>= 1.8.5-1~),
+    python3-slixmpp (>= 1.8.6~),
     python3-sphinx,
     python3-sphinx-argparse,
     python3-sphinx-autoapi,

## slidge 0.2.8

=== debian/changelog ===
slidge (0.2.8-1) unstable; urgency=medium

  * New upstream version
  * Add patch to use old JID check, because new check depends on
    slixmpps jid.rs

 -- Martin <debacle@debian.org>  Sat, 08 Mar 2025 22:32:53 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
     python3-pytest,
     python3-pytest-asyncio,
     python3-qrcode,
-    python3-slixmpp (>= 1.8.6~),
+    python3-setuptools,
+    python3-slixmpp (>= 1.9~),
     python3-sphinx,
     python3-sphinx-argparse,
     python3-sphinx-autoapi,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = slidge

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs; sphinx-build -M html "source" "build"

## slidge 0.2.9

=== debian/changelog ===
slidge (0.2.9-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 06 Apr 2025 14:51:27 +0000

## slidge 0.2.12

=== debian/changelog ===
slidge (0.2.12-1) unstable; urgency=medium

  * Bug fix release: "This release fixes a nasty message archive query bug
    discovered while playing with poezio. It may affect some other clients
    too and was worth a release in itself..."

 -- Martin <debacle@debian.org>  Tue, 15 Apr 2025 06:34:48 +0000

slidge (0.2.11-1) unstable; urgency=medium

  * Bug fix release
  * Add python3-thumbhash to debian/py3dist-overrides

 -- Martin <debacle@debian.org>  Sun, 13 Apr 2025 22:28:28 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
     python3-aiohttp,
     python3-all,
     python3-alembic,
-    python3-blurhash,
     python3-configargparse,
     python3-doc,
     python3-magic,

=== debian/watch ===
version=4
https://codeberg.org/slidge/@PACKAGE@/tags archive/v@ANY_VERSION@\.tar\.gz

## slidge 0.3.1

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line, and also
 # from the environment for the first two.
 SPHINXOPTS    ?=
-SPHINXBUILD   ?= poetry run sphinx-build
+SPHINXBUILD   ?= uv run sphinx-build
 SOURCEDIR     = source
 BUILDDIR      = build

=== debian/changelog ===
slidge (0.3.1-1) unstable; urgency=medium

  * New upstream version
    Note by upstream: "⚠️ Migrations from the 0.2 series is not supported,
    the slidge home dir has to be deleted and users have to register
    again. ⚠️"
  * drop "Rules-Requires-Root: no"
  * move package to Python Team
  * use dh-sequence-python3

 -- Martin <debacle@debian.org>  Tue, 16 Sep 2025 18:07:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: slidge
 Section: python
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
-    dh-python,
-    furo,
+    dh-sequence-python3,
     pybuild-plugin-pyproject,
     python-slixmpp-doc,
     python3-aiohttp,
@@ -21,17 +20,18 @@
     python3-qrcode,
     python3-setuptools,
     python3-slixmpp (>= 1.9~),
+    python3-sqlalchemy,
+    python3-thumbhash,
+    xmldiff,
+Build-Depends-Indep:
+    furo,
     python3-sphinx,
     python3-sphinx-argparse,
     python3-sphinx-autoapi,
-    python3-sqlalchemy,
-    python3-thumbhash,
-    xmldiff,
 Standards-Version: 4.6.2
-Rules-Requires-Root: no
 Homepage: https://slidge.im/
-Vcs-Git: https://salsa.debian.org/xmpp-team/slidge.git
-Vcs-Browser: https://salsa.debian.org/xmpp-team/slidge
+Vcs-Git: https://salsa.debian.org/python-team/packages/slidge.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/slidge
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-slidge

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = slidge

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs; sphinx-build -M html "source" "build"

## slidge 0.3.3

=== debian/changelog ===
slidge (0.3.3-2) unstable; urgency=medium

  * (Build-) Depend on slixmpp >= 1.12

 -- Martin <debacle@debian.org>  Wed, 26 Nov 2025 20:55:30 +0000

slidge (0.3.3-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Thu, 20 Nov 2025 23:05:37 +0000

=== debian/control ===
--- 
+++ 
@@ -19,12 +19,13 @@
     python3-pytest-asyncio,
     python3-qrcode,
     python3-setuptools,
-    python3-slixmpp (>= 1.9~),
+    python3-slixmpp (>= 1.12~),
     python3-sqlalchemy,
     python3-thumbhash,
     xmldiff,
 Build-Depends-Indep:
     furo,
+    python3-slidge-sphinx-extensions,
     python3-sphinx,
     python3-sphinx-argparse,
     python3-sphinx-autoapi,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = slidge

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs; PYTHONPATH=.. sphinx-build -M html "source" "build"

## slidge 0.3.5

=== debian/changelog ===
slidge (0.3.5-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Thu, 08 Jan 2026 20:21:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: slidge
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -29,7 +28,7 @@
     python3-sphinx,
     python3-sphinx-argparse,
     python3-sphinx-autoapi,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://slidge.im/
 Vcs-Git: https://salsa.debian.org/python-team/packages/slidge.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/slidge

## slidge 0.3.6

=== debian/changelog ===
slidge (0.3.6-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends-Indep on slixmpp 1.13
  * Add patch for slixmpp 1.13 compatibility

 -- Martin <debacle@debian.org>  Mon, 09 Feb 2026 18:12:52 +0000

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
     python3-pytest-asyncio,
     python3-qrcode,
     python3-setuptools,
-    python3-slixmpp (>= 1.12~),
     python3-sqlalchemy,
     python3-thumbhash,
     xmldiff,
 Build-Depends-Indep:
     furo,
     python3-slidge-sphinx-extensions,
+    python3-slixmpp (>= 1.13~),
     python3-sphinx,
     python3-sphinx-argparse,
     python3-sphinx-autoapi,

## slidge 0.3.7

=== debian/changelog ===
slidge (0.3.7-1) unstable; urgency=medium

  * New upstream version
  * Remmove obsolete patch

 -- Martin <debacle@debian.org>  Sun, 01 Mar 2026 16:14:38 +0000
